# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/DBI/DATA/Schema.pm) perl(DBD/SQLite.pm) perl(ExtUtils/MakeMaker.pm) perl(Maypole/CLI.pm) perl(Maypole/Constants.pm) perl(Module/Pluggable/Ordered.pm) perl(Test/More.pm) perl(UNIVERSAL/require.pm) perl(Class/DBI/BaseDSN.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Rubberband
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: (Even more!) Extensible framework around Maypole
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SI/SIMON/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Maypole as a web application framework is easy to extend "vertically" by.adding new `Exported' methods, but not so easy to extend "horizontally"
by adding new "concepts" (that is, classes and tables). 

Rubberband, as its name implies, is designed to be stretched in both
directions. It uses `Module::Pluggable::Ordered' to locate the classes
which encapsulate the tables, and also to provide a callback
functionality to allow extensions to "talk" to each other; it also uses
`Class::DBI::DATA::Schema' to allow extension classes to declare the
SQL to set up their tables. Further, it helps to set up your classes
by creating a backend `Foo::DBI' class (given an application called `Foo',
of course...) which handles the connection
information, and from which your plugin modules automatically inherit.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/R*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

